Name:           glogg
Version:        0.9.0
Release:        1
Summary:        Fast smart log explorer

Group:          Applications/System
License:        GPLv3
Source:         http://glogg.bonnefon.org/files/%{name}-%{version}.tar.gz

URL:            http://glogg.bonnefon.org/
BuildRoot:      %{_tmppath}/build-%{name}-%{version}

BuildRequires:  qt-devel >= 4.3.0
BuildRequires:  boost-devel
BuildRequires:  python-markdown
BuildRequires:  gcc-c++ make glibc-devel pkgconfig
BuildRequires:  autoconf automake libtool
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme


%description
glogg is a multi-platform GUI application that helps browse and search through
long and complex log files.  It is designed with programmers and system
administrators in mind and can be seen as a graphical, interactive combination
of grep and less.

Main features:
* Provides a second window showing the result of the current search
* Supports grep/egrep like regular expressions
* Colorizes the log and search results
* Displays a context view of where in the log the lines of interest are
* Is fast and reads the file directly from disk, without loading it into memory

%prep
%setup -q

%build
qmake-qt4
%__make %{?_smp_flags}

%install
%__make \
    INSTALL_ROOT="$RPM_BUILD_ROOT%{_prefix}" \
    install

%__rm -rf "%{buildroot}%{_datadir}/doc"

desktop-file-install                                    \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications       \
  %{name}.desktop

%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%doc doc/*.html
%{_bindir}/glogg
%{_datadir}/icons/*/*/apps/glogg.*
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri May 11 2012 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.0-1
- initial package

